public class Circle: Shape
{
  protected int radius;         // rayon

  public Circle(int x, int y, int radius): base(x, y)
  {
    this.radius = radius;
  }

  public int Radius
  {
    get { return radius; }
  }

  public void accept(Visitor v) { v.visit(this); }
}
